The New Webiquette
Internet-Draft draft-kate-the-new-webiquette-00
Kate, Ed.
Germany
kate_9023+rfc-editor@systemli.org
2022
General
Internet Engineering Task Force
webiquette
The inspiration for this document came from RFC 1855 ("Netiquette"), which is now partially obsolete and no longer maintained. A lot has happened on the Internet since then (social media, video conferencing, deepfakes, ad networks), which should be applied in a netiquette. Like in RFC 1855 this is only a minimal standard.
Introduction
A Webiquette to make the internet a better place.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Status of the Memo
This memo does not specify an Internet standard of any kind.
User Guidelines"
For making the Internet a place where many people feel comfortable, it needs some rules. What you can do in particular as a regular user can be found in section 1.1 to 1.4.
One-to-One-Messaging
We are talking about a direct conversation with a person (in writing). This can be via email, chat, private message in social media or similar.
- If you Do not have anything important to say, say nothing.
- Ensure you are calm before you reply. If needed try to wait a night before reacting to a text.
- Avoid sentences that are written exclusively in capital letters. This looks as if YOU ARE SHOUTING.
- Use smilies or emojies to convey emotions in a message. Use them wisely and not excessively ;-)
- Use irony and sarcasm wisely. Your counterpart does not see you and your text might come across as overly agressive.
- Speaking of language. Do not impose your language on other people. Do not (impose to) correct other persons' way of speaking.
- If someone is using a nickname/pseudonym/username, respect the users privacy, even if you know the person. Do not use the real name online without permission.
- Assume when you write an email or a private message on social media that it can be read and analyzed by third parties. Think carefully about what you write or use proper encryption.
- Your counterpart may have another cultural background, other values, speaks other languages or has a different form of humor than you do. Keep that in mind when communicating.
- Keep in mind that people may be located all around the globe when communicating online. Do not assume an immediate response. The person could be sleeping, at work, or busy otherwise.
- Do not expect strangers on the Internet to help you with general technical questions. Do not just write to people you know on the Internet and expect a response to help you. If you have technical questions, turn to appropriate internet forums, mailing lists, chat rooms etc. who are there to help.
- Do not send chain letters. Just do not.
- Do not send an unsolicited wall of text. People are busy and do not have the time to read through unfiltered content. If you can not avoid a long text: Proofread it, make it more readable (e.g. add more paragraphs) and check if the context makes sense before you send it. If necessary include a short summary.
- If you answer to a longer text or a couple of days later make sure you Do not send TOFU (Text Over, Fullquote Under). Always refer or quote the paragraphs you are answering to and shorten your reply by skipping the unnecessary parts.
- Do not send SPAM e-mails. A lot of countries have Anti-Spam-Laws.
- Do not distribute pornographic (e.g. nude pictures) or violent material. Not even if it is already on the Internet. You never know if the people who are on the pictures know about it or if the recipient wants to see it.
- Some social networks push you via gamification to send a picture every day to people close to you, which leads to many pictures of shoes, trains and other things just to achieve this goal. A friendship is not bound to such things. Remember that you can disturb other people in public and/or violate privacy laws. Also remember that the picture you send to your friend also consumes bandwidth and money.
- Always check if your messaging a single person or a group of people before sending.
- Implement the RFC rule RFC760 and RFC791: In general, an implementation should be conservative in its sending behavior, and liberal in its receiving behavior for Messages: In general, a message should be conservative in its sending behavior, and liberal in its receiving behavior.
One-to-Many-Messaging
This can represent a conversation with several participants via mail, mailing lists, chat, forum, microblogging services, social media or similar. All rules from One-to-One Messaging also appear to One-to-Many Messaging but One-to-Many also includes:
- Read the comments in a room before you participate in a discussion. When the atmosphere is already heated up, do not put oil in the flames.
- Do not hijack a topic or post. Thread hijacking means when someone opens a thread on a forum or comment a certain topic that a single person or more use this thread for off-topic, have a conversation within the conversation or point or use it for other opportunities e. g. other cases (or making money). This is rude behaviour. Open a topic by yourself about what you would would like to talk about, but do not use a popular topic for your own profit.
- Before you ask a question use a search engine. Do not expect anyone to serve you the answers, especially if they are easy to find. But do not do it if it is a personal question.
- >Adapt your language to the subculture you are joining. If you talk in a very high-pitched way in a casual forum, no one will take you seriously. Just as you should remain formal in a professional business forum.
- Ask permission before reposting any text. With a #followerpower or similar tag you can usually assume that the text can be reposted.
- Do not take screenshots of forum posts, posts, video conferences and share them with third parties (not even in a "private" chat) without first asking permission from all concerned.
- Do not participate in flamewars and shitstorms. Neither by posting or reacting to one.
- Make sure your posts are readable. Use proper punctuation. Also Do not (ab)use special characters for your sentence to look "cooler". This is important for all people who use a screenreader. Avoid too many special characters in your text such as / * : + # - remember this will also be read by a screenreader in most cases
- Speaking of screenreaders: If you add a picture to a post, use an alternative text to describe its contents, so someone who can not see also has a chance to grasp its context.
- Do not post information of others (also called doxxing) such as names, photos, contact information without explicit permission. Also keep in mind that a lot of countries have strict privacy laws.
- Do not publicly ask users for their name, age, gender, ethnicity, place of residence, religion, sexual orientation, political interest or even indirectly for skin color. Personal information of other users are none of your business and they will tell them to you if there is any need to do so.
- In contexts where you are unsure about the used nick for someone or when unsure if all know that person's identity try to avoid such explicit markers.
- When discussing books, series, movies or games that others may not have read, seen or played, add the word "SPOILER" at the beginning of the sentence before telling story parts. Others should still be able to look forward to the content.
- Respect copyrighted material.
- Do not publicly archive content without permission. If the owner puts his content offline, respect that. Also, you may be violating copyright and privacy laws in some countries.
- Treat people as individuals. Do not write about to which group of people you do not want to talk to. This comes across as aggressive.
- Check if it is allowed to advertise on platforms before doing so.
Videoconferences
Video conferencing has become an integral part of our daily lives, so it's important that we use courtesies here as well.
- Do not record video or VoIP conferences without consent or permission. Violation of this rule is a criminal offense in some jurisdictions.
- If you are not speaking, mute yourself.
- Check your audio setup before entering conferences.
- Use a headset to avoid background noises.
- Respect if people Do not want to switch on their camera.
- If you have personal belongings in the background e. g. photos of your family or friends consider moving them away or blurring the video stream.
- If you are in two or more video conferences at the same time or you lurking around in a conference just in case someone shows up, make sure you mute one conference when you're joining another. Best would be you only join one conference at a time.
- Mute yourself when you sneeze, cough, burp. If you can not mute in time, apologize.
The Internet Use in General
- Do not use other people's voices or video files to create deepfakes, even if you do not intend to post them publicly. You do not know how responsibly the program and the AI behind it handles people's data. Always get permission first.
- If you post something in modeated places and it doesn't show up right away, wait and do not post it again. Some posts need to be approved first.
- Do not film or photograph people in distress (accident, argument, etc.) without permission. In many cultures, this is considered rude and illegal. Especially when you want to put it online afterwards. Always ask for permission.
Admin Guidelines
- As an administrator and moderator you are a role model. Act like one.
- Check your websites privacy and security BEFORE you put it online.
- Provide contact information and check your mail regulary.
- Respond quickly to user concerns, especially when there is illegal content involved.
- Make sure that your privacy policy and your imprint (if required) are easy to understand and complete.
- Deliver on what you promise in the privacy policy.
- Remove personal user content, if your user asks for it. Observe the developments regarding data privacy laws in affected legislations and countries.
- Have a postmaster and a root alias address.
- Provide a security.txt in case security researchers find vulnerabilities in your system.
- Provide a robots.txt or/and adjust security settings against crawlers, if you provide personal information on your page.
- Make sure you have an FAQ page, if necessary, and you update it frequently.
- Have guidelines on how to deal with unlawful behaviour. Ensure consistent application of those rules.
- Monitor your systems.
- Time passes quickly: What is current today can be outdated tomorrow. Ensure to date your articles, posts and other materials.Keep your documentation up-to-date. If you know information is out-of-date make sure to mark it as such or delete it. If someone is new to a topic or otherwise unfamiliar with specifics this may otherwise lead to people relying on those old information and thus making bad or even incorrect decisions based on it. In extreme cases this may even lead to security risks or even injury.
- When managing an community always act as just as possible and make your decisions transparent. Be impartial in your decisions and apply them equally in comparable situations.
- Last but not least: Treat users fair.
IANA Considerations
This memo includes no request to IANA.
Security Considerations
Security issues are not part of this memo.
References
Normative References
[RFC2119]
[RFC8174]
Acknowledgements
I thank my beloved coffee machine for providing me with magic potion while writing.